Bug 678274 - [abrt] ibus-1.3.99.20110127-4.fc15: icon.py:38:__init__:GError: Icon 'gtk-missing-image' not present in theme
[abrt] ibus-1.3.99.20110127-4.fc15: icon.py:38:__init__:GError: Icon 'gtk-mis...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:7b4047cc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 06:36 EST by Michal Hlavinka
Modified: 2011-03-11 02:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 20:52:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (638 bytes, text/plain)
2011-02-17 06:36 EST, Michal Hlavinka
no flags Details
icon.py debug (14.40 KB, text/plain)
2011-03-10 00:13 EST, dominique
no flags Details

  None (edit)
Description Michal Hlavinka 2011-02-17 06:36:40 EST
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/share/ibus/ui/gtk/main.py
comment: It was working fine in F14, but after upgrade to F15 rawhide, it no longer works and just tracebacks
component: ibus
executable: /usr/share/ibus/ui/gtk/main.py
kernel: 2.6.38-0.rc4.git7.1.fc15.x86_64
package: ibus-1.3.99.20110127-4.fc15
reason: icon.py:38:__init__:GError: Icon 'gtk-missing-image' not present in theme
release: Fedora release 15 (Rawhide)
time: 1297942427
uid: 500

backtrace
-----
icon.py:38:__init__:GError: Icon 'gtk-missing-image' not present in theme

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 485, in __status_icon_activate_cb
    item.set_image(_icon.IconWidget("gtk-info", size[0]))
  File "/usr/share/ibus/ui/gtk/icon.py", line 38, in __init__
    pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
GError: Icon 'gtk-missing-image' not present in theme

Local variables in innermost frame:
theme: <gtk.IconTheme object at 0x16b92d0 (GtkIconTheme at 0x179fd80)>
icon: 'gtk-info'
pixbuf: None
self: <IconWidget object at 0x16b9230 (GtkImage at 0x1736240)>
size: 16

How to reproduce
-----
1.click ibus icon in systray
2.
3.
Comment 1 Michal Hlavinka 2011-02-17 06:36:42 EST
Created attachment 479311 [details]
File: backtrace
Comment 2 fujiwara 2011-02-17 20:52:09 EST
Please install the latest gnome-icon-theme-legacy to fix your problem.

# yum install gnome-icon-theme-legacy


I added a workaround in ibus-1.3.99.20110206-2 to fix this problem yesterday.
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110206-2.fc15

But checking this problem again, it seems now the legacy gtk stock icons are moved from gnome-icon-theme to gnome-icon-theme-legacy.

So I think the right fix is to update gnome-icon-theme-legacy.
I'll remove my workaround in ibus-1.3.99.20110206-2 and add the dependency with gnome-icon-theme-legacy.
Comment 3 dominique 2011-03-08 12:43:48 EST
The latest gnome-icon-theme-legacy don't fix this problem.

I have ibus-1.3.99.20110206-4.fc15 installed on my F15,
Comment 4 fujiwara 2011-03-08 20:03:33 EST
(In reply to comment #3)
> The latest gnome-icon-theme-legacy don't fix this problem.

? What is your 'this problem'?
gnome-icon-theme-legacy adds the symlinks and fixes the Comment #1.
% rpm -ql gnome-icon-theme-legacy | grep missing
/usr/share/icons/gnome/16x16/status/gtk-missing-image.png
/usr/share/icons/gnome/22x22/status/gtk-missing-image.png
...

% ls -l /usr/share/icons/gnome/16x16/status/gtk-missing-image.png
/usr/share/icons/gnome/16x16/status/gtk-missing-image.png -> image-missing.png

You may need to run gtk-update-icon-cache .
# gtk-update-icon-cache -f /usr/share/icons/gnome
Comment 5 dominique 2011-03-09 01:35:36 EST
(In reply to comment #4)
> (In reply to comment #3)
> > The latest gnome-icon-theme-legacy don't fix this problem.
> 
> ? What is your 'this problem'?

The problem is sama as comment #1
When I click on ibus icon in system-tray, I have an abrt warning, and if I want report this bug, I go to this page.

icon.py:38:__init__:GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 494, in __status_icon_activate_cb
    item.set_image(_icon.IconWidget("gtk-info", size[0]))
  File "/usr/share/ibus/ui/gtk/icon.py", line 38, in __init__
    pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Local variables in innermost frame:
theme: <gtk.IconTheme object at 0x241e910 (GtkIconTheme at 0x252ad90)>
icon: 'gtk-info'
pixbuf: None
self: <IconWidget object at 0x241e8c0 (icon+IconWidget at 0x24b0c40)>
size: 16

Result of your command:

[dominique@localhost ~]$ rpm -ql gnome-icon-theme-legacy | grep missing
/usr/share/icons/gnome/16x16/status/gtk-missing-image.png
/usr/share/icons/gnome/22x22/status/gtk-missing-image.png
/usr/share/icons/gnome/24x24/status/gtk-missing-image.png
/usr/share/icons/gnome/256x256/status/gtk-missing-image.png
/usr/share/icons/gnome/32x32/status/gtk-missing-image.png
/usr/share/icons/gnome/48x48/status/gtk-missing-image.png

[dominique@localhost ~]$ ls -l /usr/share/icons/gnome/16x16/status/gtk-missing-image.png
lrwxrwxrwx 1 root root 17 24 févr. 08:04 /usr/share/icons/gnome/16x16/status/gtk-missing-image.png -> image-missing.png

After running (as root) # gtk-update-icon-cache -f /usr/share/icons/gnome and rebooting my laptop, the bug still persist.
Comment 6 fujiwara 2011-03-09 02:24:31 EST
(In reply to comment #5)
>   File "/usr/share/ibus/ui/gtk/icon.py", line 38, in __init__
>     pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
> GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Hmm.., it's a strange result.

> /usr/share/icons/gnome/16x16/status/gtk-missing-image.png -> image-missing.png

Do you also have gnome-icon-theme ?

% rpm -qf /usr/share/icons/gnome/16x16/status/image-missing.png
gnome-icon-theme-2.91.7-4.fc15.noarch
% rpm -qf /usr/share/icons/gnome/16x16/status/gtk-missing-image.png 
gnome-icon-theme-legacy-2.91.7-4.fc15.noarch

How about running the following test program?

% cat a.py
#!/usr/bin/python

import gtk

theme = gtk.icon_theme_get_default()
path = []
n_elements = []
paths = theme.get_search_path()
print "search_paths", paths
pixbuf = theme.load_icon('gtk-missing-image', 16, 0)
print "pixbuf", pixbuf

% python a.py
search_paths ('/home/foo/.icons', '/home/foo/.local/share/icons', '/usr/local/share/icons', '/usr/share/icons', '/usr/local/share/pixmaps', '/usr/share/pixmaps')
pixbuf <gtk.gdk.Pixbuf object at 0x17ca870 (GdkPixbuf at 0x18b3140)>

---
Do you get the pixbuf?
Comment 7 dominique 2011-03-09 02:41:24 EST
result of your command lines:

[dominique@localhost ~]$ rpm -qf /usr/share/icons/gnome/16x16/status/image-missing.png
gnome-icon-theme-2.91.7-4.fc15.noarch

[dominique@localhost ~]$ rpm -qf /usr/share/icons/gnome/16x16/status/gtk-missing-image.png
gnome-icon-theme-legacy-2.91.7-4.fc15.noarch

result of test program:

[dominique@localhost ~]$ python a.py
search_paths ('/home/dominique/.icons', '/home/dominique/.local/share/icons', '/usr/share/kde-settings/kde-profile/default/share/icons', '/usr/local/share/icons', '/usr/share/icons', '/usr/share/kde-settings/kde-profile/default/share/pixmaps', '/usr/local/share/pixmaps', '/usr/share/pixmaps')
pixbuf <gtk.gdk.Pixbuf object at 0x13f4730 (GdkPixbuf at 0x14bd000)>
[dominique@localhost ~]$ 

I precise I don't use gnome but kde, I don't know if it is important...
Comment 8 fujiwara 2011-03-09 03:44:18 EST
(In reply to comment #7)
> pixbuf <gtk.gdk.Pixbuf object at 0x13f4730 (GdkPixbuf at 0x14bd000)>

It seems gtk-missing-image pixbuf is no problem.
Hmm.., I tried KDE Plasma Workspace but I don't see any problems in ibus.

(In reply to comment #5)
>     pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
> GError: L'icne gtk-missing-image n'est pas prsente dans le thme
> 
> Local variables in innermost frame:
> theme: <gtk.IconTheme object at 0x241e910 (GtkIconTheme at 0x252ad90)>
> icon: 'gtk-info'
> pixbuf: None
> self: <IconWidget object at 0x241e8c0 (icon+IconWidget at 0x24b0c40)>
> size: 16
> 

From your error, you run ibus panel on fr_FR.UTF-8 and pixbuf was None while the test program got the pixbuf.

Do you see your problem when ibus panel is executed by manual?

% ps -ef | grep ibus/ui
foo 13107 13090  0 17:25 ?        00:00:03 /usr/bin/python /usr/share/ibus/ui/gtk/main.py
% kill 13107
% env IBUS_PREFIX=/usr python /usr/share/ibus/ui/gtk/main.py
Comment 9 dominique 2011-03-09 05:16:26 EST
When I execute ibus panel manually:

[dominique@localhost ~]$ ps -ef | grep ibus/ui
500       1662  1625  0 11:07 ?        00:00:00 /usr/bin/python /usr/share/ibus/ui/gtk/main.py
500       2269  2199  0 11:08 pts/1    00:00:00 grep --color=auto ibus/ui
[dominique@localhost ~]$ kill 1662
[dominique@localhost ~]$ env IBUS_PREFIX=/usr python /usr/share/ibus/ui/gtk/main.py
/usr/share/ibus/ui/gtk/main.py:71: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
  gtk.main()

When I click on ibus icon on panel, I have no abrt report.

After that, when I click on "Redémarrer Ibus", Ibus re-launch, and when I click on icon I have abrt report.
Comment 10 fujiwara 2011-03-09 21:50:39 EST
(In reply to comment #9)
> When I click on ibus icon on panel, I have no abrt report.

Do you mean you can show the ibus panel menus without any errors?
If yes, it seems your ibus panel has a different behavior between manual and ibus-daemon.

Could you try to replace your icon.py with the debug one below?

% wget http://fujiwara.fedorapeople.org/ibus/20110310/icon.py
# cp /usr/share/ibus/ui/gtk/icon.py /usr/share/ibus/ui/gtk/icon.py.orig
# cp icon.py /usr/share/ibus/ui/gtk/icon.py
# diff -u /usr/share/ibus/ui/gtk/icon.py.orig /usr/share/ibus/ui/gtk/icon.py
@@ -27,6 +27,13 @@
     def __init__(self, icon, size):
         super(IconWidget, self).__init__()
         pixbuf = None
+        theme = gtk.icon_theme_get_default()
+        paths = theme.get_search_path()
+        missing_image = gtk.STOCK_MISSING_IMAGE
+        list_icons = theme.list_icons()
+        theme_name = gtk.settings_get_default().props.gtk_theme_name
+        icon_theme_name = gtk.settings_get_default().props.gtk_icon_theme_name
+        pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
         try:
             if icon.startswith("/"):
                 pixbuf = gdk.pixbuf_new_from_file(icon)

And could you try to attach the result of abrt?
I'm interested in the values of paths, list_icons, theme_name and icon_theme_name .
Comment 11 dominique 2011-03-10 00:03:18 EST
Hi, 
I can see the ibus panel without error
I replace my icon.py by your debug one, for the diff I have:

#  diff -u /usr/share/ibus/ui/gtk/icon.py.orig /usr/share/ibus/ui/gtk/icon.py
--- /usr/share/ibus/ui/gtk/icon.py.orig 2011-03-10 05:51:01.389746104 +0100
+++ /usr/share/ibus/ui/gtk/icon.py      2011-03-10 05:52:40.230510478 +0100
@@ -27,6 +27,13 @@
     def __init__(self, icon, size):
         super(IconWidget, self).__init__()
         pixbuf = None
+        theme = gtk.icon_theme_get_default()
+        paths = theme.get_search_path()
+        missing_image = gtk.STOCK_MISSING_IMAGE
+        list_icons = theme.list_icons()
+        theme_name = gtk.settings_get_default().props.gtk_theme_name
+        icon_theme_name = gtk.settings_get_default().props.gtk_icon_theme_name
+        pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
         try:
             if icon.startswith("/"):
                 pixbuf = gdk.pixbuf_new_from_file(icon)
@@ -35,7 +42,7 @@
                 pixbuf = theme.load_icon(icon, size, 0)
         except:
             theme = gtk.icon_theme_get_default()
-            pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
+            pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE + "a", size, 0)
 
         width = pixbuf.get_width()
         height = pixbuf.get_height()

But after that when I click on icon ibus, I have no abrt report.

The abrt report before changing icon.py is: 

icon.py:38:__init__:GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 494, in __status_icon_activate_cb
    item.set_image(_icon.IconWidget("gtk-info", size[0]))
  File "/usr/share/ibus/ui/gtk/icon.py", line 38, in __init__
    pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Local variables in innermost frame:
theme: <gtk.IconTheme object at 0x2c7b910 (GtkIconTheme at 0x2d85d90)>
icon: 'gtk-info'
pixbuf: None
self: <IconWidget object at 0x2c7b8c0 (icon+IconWidget at 0x2d0bc40)>
size: 16
Comment 12 dominique 2011-03-10 00:11:54 EST
When I reboot, I have an abrt report again...
It is different:


icon.py:36:__init__:GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 494, in __status_icon_activate_cb
    item.set_image(_icon.IconWidget("gtk-info", size[0]))
  File "/usr/share/ibus/ui/gtk/icon.py", line 36, in __init__
    pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
GError: L'icne gtk-missing-image n'est pas prsente dans le thme

Local variables in innermost frame:
paths: ('/home/dominique/.icons', '/home/dominique/.local/share/icons', '/usr/local/share/icons', '/usr/share/icons', '/usr/local/share/pixmaps', '/usr/share/pixmaps')
theme_name: 'Adwaita'
icon: 'gtk-info'
list_icons: ('system-config-language', 'nm-signal-50', 'kscd', 'gnome-mime-application-vnd.oasis.opendocument.text', 'gnome-panel-window-menu', 'gnome-emacs', 'gdu-category-multipath', 'prevuntranslated', 'application-x-wine-extension-dqy', 'application-x-wine-extension-docxml', '1CD8_rundll32.0', 'msgid2msgstr', 'fedora-logo', 'gnome-inhibit-applet', 'nm-tech-evdo', 'gnome-mime-application-vnd.openofficeorg.extension', 'gdu-emblem-mp-component', 'gnome-panel-launcher', 'application-x-wine-extension-crtx', 'gdm-xnest', 'transsearch', 'xfce4_xicon1', 'gpk-log', 'gnome-mime-application-vnd.oasis.opendocument.graphics', 'kdeprintfax', 'gdu-error', 'gnome-applets', 'rhythmbox-symbolic', 'application-x-wine-extension-avs', 'ibus-engine', 'gnome-aorta', 'presence_online', 'libreoffice-master-document', 'application-x-wine-extension-ppthtml', 'gnome-color-browser', 'libreoffice-oasis-formula', 'kompare', 'krcd', 'gnome-term-linux', 'gnome-week', 'gdu-multidisk-drive', 'evolution-mail', 'libreoffice-extension', 'wordpad', 'gdm-smartcard', 'libreoffice-math', 'gnome-mime-application-vnd.oasis.opendocument.formula', 'foobillard', 'modem-manager', 'gnome-mime-application-vnd.oasis.opendocument.text-web', 'deja-dup-symbolic', 'application-x-servicepack', 'preferences-system-time', 'transmission', 'nm-signal-25', 'application-ms-infopath.xml', 'audio-input-microphone-medium-symbolic', 'gdu-emblem-raid6', 'gdu-emblem-raid5', 'gdu-emblem-raid4', 'gdu-emblem-raid3', 'gdu-emblem-raid1', 'gdu-emblem-raid0', 'gnome-gmush', 'dragonplayer', 'gnome-gemvt', 'catalogmanager', 'touchpad-disabled', 'application-x-wine-extension-elm', 'gnome-laptop', 'gnome-ccscreensaver', 'gnome-home', 'gimp', 'application-x-wine-extension-accdu', 'disks', 'kwrite', 'insert_tag', 'nm-tech-edge', 'gnome-touristinfo', 'kdcraw', 'bluetooth-disabled', 'application-x-catalog', 'libreoffice-drawing', 'application-vnd.ms-mediapackage', 'application-x-wine-extension-pst', 'audio-input-microphone-low-symbolic', 'gnome-ccwindowmanager', 'deja-dup-restore', 'nm-adhoc', 'nm-signal-00', 'gnome-color-manager', 'gnome-mdi', 'gnome-image-gif', 'cupsprinter', 'application-x-wine-extension-gfs', 'filelight', 'knetattach', 'gnome-term-linux2', 'xterm-color_48x48', 'kmix', 'fedora-logo-sprite', 'gdm', '4137_winhlp32.0', 'application-x-wine-extension-rels', 'application-x-wine-extension-otm', 'libreoffice-oasis-text', 'xterm_32x32', 'libreoffice-oasis-web-template', 'gnome-logo-icon-transparent', 'gnome-ccdesktop', 'keys', 'gnome-cromagnon', 'application-x-wine-extension-onetoc2', 'application-x-wine-extension-avsi', 'gdu-smart-threshold', 'totem-tv', 'nautilus-gdu', 'application-x-wine-extension-ost', 'text-x-ms-rqy', 'gnome-background-image', 'DA51_menu.0', 'application-vnd.ms-powerpoint.slideshow.macroenabled.12', 'seahorse-preferences', 'application-x-wine-extension-ffx', 'gnome-term', 'kipi', 'libreoffice-startcenter', 'application-x-wine-extension-fft', 'linguist', 'prevfuzzy', 'gdu-mount', 'kuser', 'gdm-foot-logo', 'gnome-mime-application-vnd.sun.xml.draw.template', 'gdu-unmount', 'application-x-wine-extension-ffl', 'application-xml', 'system-logo-white', 'nm-tech-hspa', 'system-config-authentication', 'nautilus', 'application-x-wine-extension-ffa', 'preverror', 'sane', 'nobody', 'system-config-date', 'gnome-news', 'gnome-background-pattern', 'gpk-prefs', 'krusader_user', 'evince', 'gnome-dvb-daemon', 'application-x-wine-extension-gcsx', 'password', 'nm-wwan-tower', 'kapptemplate', 'application-vnd.ms-powerpoint.addin.macroenabled.12', 'orca', 'gdu-emblem-lvm-lv', 'application-x-wine-extension-oqy', 'prevfuzzyuntrans', 'nm-tech-3g', 'application-vnd.ms-officetheme', 'krcd_flash', '8624_rules.0', 'libreoffice-text', 'gnome-logo-icon', 'application-x-vnc', 'libreoffice-base', 'gsd-xrandr', 'application-x-wine-extension-kyo', 'audio-headset', 'application-x-package-list', 'pino', 'notepad', 'D306_whatsnew.0', 'umbrello', 'fedora-logo-icon', 'gdu-check-disk', 'DAAF_trouble.0', 'sound-juicer', 'application-x-wine-extension-fdm', 'gdu-raid-array', 'preferences-desktop-display', 'gnome-panel-workspace-switcher', 'application-x-wine-extension-pubhtml', 'luna', 'gnome-gnomoku', 'gnome-gmenu', 'libreoffice-text-template', 'libreoffice-calc', 'gdu-encrypted-unlock', 'gdu-emblem-mp', 'libreoffice-draw', 'prevpo', 'nm-stage01-connecting11', 'gdu-expander', 'application-x-wine-extension-opc', 'application-vnd.iccprofile', 'nm-stage01-connecting10', 'application-x-wine-extension-gqsx', 'audio-input-microphone-high-symbolic', 'superkaramba', 'libreoffice-oasis-spreadsheet-template', 'gnome-mime-application-vnd.oasis.opendocument.text-template', 'gnome-planner', '498A_kmj.0', 'application-x-wine-extension-pubmhtml', 'gnome-suse', 'start-here', 'nm-stage01-connecting09', 'nm-stage01-connecting08', 'nm-stage01-connecting02', 'nm-stage01-connecting07', 'nm-stage01-connecting06', 'nm-stage01-connecting05', 'nm-stage01-connecting04', 'nm-stage01-connecting03', 'application-x-wine-extension-msg', 'nm-stage01-connecting01', 'application-x-wine-extension-onetoc', 'gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template', 'libreoffice-database', 'application-x-wine-extension-xlthtml', 'kgpg', 'libreoffice-oasis-drawing', 'view-minimize', 'libreoffice-presentation-template', '0E9C_3.0', 'gnome-ccperiph', 'application-x-uml', 'lancelot-start', 'pino_fresh', 'setroubleshoot_icon', 'winemine', 'gdu-smart-unknown', 'gdu-unmountable', 'gdu-detach', 'gtkvim', 'gnome-set-time', 'gdm-setup', 'user_icon', 'application-x-wine-extension-det', 'application-vnd.ms-publisher', 'libreoffice-oasis-database', 'libreoffice-writer', 'nm-device-wired', 'seahorse', 'application-msaccess.webapplication', 'cervisia', 'application-x-ms-vsto', 'gdu-smart-healthy', 'baobab', 'gnome-brightness-applet', 'ksplash', 'kdeobservatory', 'nexttemplate', 'winecfg', 'shotwell', 'libreoffice-main', 'gnome-mnemonic', 'approved', 'xterm_48x48', 'lifegame', 'application-vnd.ms-excel.addin.macroenabled.12', 'touchpad-enabled', 'juk', 'apple-green', 'keyring', 'application-x-wine-extension-sdf', 'libreoffice-oasis-master-document', 'libreoffice-spreadsheet', 'cheese', 'presence_offline', 'gnome-mime-application-x-planner', 'status_unlocked', 'konqueror', 'palimpsest', 'application-msword', 'status_lock', 'presence_away', 'gdu-raid-array-start', 'kuiviewer', 'CEE5_1.0', 'application-x-wine-extension-pip', 'gdu-raid-array-stop', 'gdu-smart-failing', 'regedit', 'nextpo', 'application-x-wine-extension-laccdb', 'nm-vpn-connecting14', 'nm-vpn-connecting13', 'nm-vpn-connecting12', 'nm-vpn-connecting11', 'nm-vpn-connecting10', 'gnome-obex-server', 'gnome-dvb-setup', 'preferences-system-firewall-new', 'winhelp', 'setroubleshoot_red_icon', 'application-x-wine-extension-xlxml', '5668_uninstall.0', 'msiexec', 'presence_unknown', 'gnome-iagno', 'nm-vpn-connecting04', 'application-x-wine-extension-pothtml', 'nm-vpn-connecting06', 'slideshow-emblem', 'nm-vpn-connecting09', 'nm-vpn-connecting03', 'nm-vpn-connecting08', 'nm-vpn-connecting07', 'nm-vpn-connecting05', 'gnome-mime-application-vnd.sun.xml.impress.template', 'application-x-wine-extension-wizhtml', 'gnome-mime-application-vnd.sun.xml.impress', 'nm-vpn-connecting02', 'nm-vpn-connecting01', 'libreoffice-oasis-presentation', 'gnome-ccmime', 'gnome-file-h', 'vinagre', 'gnome-mouse', 'okteta', 'application-x-wine-extension-mmw', 'gdu-encrypted-lock', '2323_ADOB~DWN.0', 'gnote', 'evolution-tasks', 'gnome-mime-application-vnd.oasis.opendocument.graphics-template', 'nextuntranslated', 'multimedia-volume-control', 'qalculate-applet', 'gnome-file-c', 'brasero', 'session-properties', 'gdu-emblem-raid-linear', 'anaconda', 'bluetooth-active', 'nm-tech-gprs', 'application-msonenote', 'kwikdisk', 'gdu-warning', 'imsettings-unknown', 'application-x-wine-extension-its', 'ibus-keyboard', 'gnome-debian', 'kcachegrind', 'application-x-wine-extension-xtp', 'gnome-about-logo', 'gnome-qeye', 'nohost', 'apple-red', 'nextfuzzy', 'kfind', 'gnome-windows', 'gdu-category-peripheral', 'gnome-image-jpeg', 'cairo-dock', 'application-x-wine-extension-nk2', 'application-x-wine-extension-uxdc', 'totem', 'abrt', 'gnome-folder', 'poweredby', 'system-config-keyboard', 'krusader_shield', 'nexterror', 'gnome-calendar', 'krcd_off', 'gnome-panel-fish', 'gnome-diskfree', 'application-x-wine-extension-xsn', 'gnome-mime-application-vnd.sun.xml.math', 'nm-signal-100', 'application-x-wine-extension-xsf', 'nm-stage02-connecting11', 'nm-stage02-connecting10', 'gnome-mines', 'gnome-panel', 'application-x-wine-extension-oft', 'application-x-wine-extension-ofs', 'application-x-wine-extension-adn', 'gnome-panel-force-quit', 'badge-small', 'prevtemplate', 'kate', 'printmgr', 'fedora-logo-small', 'audio-input-microphone-muted-symbolic', 'nm-stage02-connecting08', 'application-x-ms-application', 'nm-stage02-connecting09', 'nm-stage02-connecting07', 'nm-stage02-connecting06', 'nm-stage02-connecting05', 'application-x-wine-extension-dochtml', 'nm-stage02-connecting04', 'nm-stage02-connecting03', 'nm-stage02-connecting02', 'nm-stage02-connecting01', 'gnome-logo-large', 'application-x-wine-extension-dothtml', 'firefox', 'application-x-wine-extension-xlsmhtml', 'gnome-mime-application-vnd.oasis.opendocument.presentation-template', 'application-x-wine-extension-acl', '7765_winebrowser.0', 'application-x-wine-extension-pptxml', 'gnome-computer', 'A35F_hh.0', 'phonon-gstreamer', 'libreoffice-drawing-template', 'gpk-repo', 'ktimer', 'iok', 'gnome-note', 'evolution', 'previewer', 'gnome-gimp', 'gnome-talk', 'eyes', 'nm-vpn-active-lock', 'nextfuzzyuntrans', 'yelp-icon-big', 'evolution-memos', 'application-x-remote-connection', 'gnome-mime-application-vnd.oasis.opendocument.text-master', 'bball', 'gnome-background', 'FB4C_iexplore.0', 'libreoffice-oasis-spreadsheet', 'application-x-wine-extension-pab', 'application-x-wine-extension-mgc', 'application-vnd.ms-visio.viewer', 'gnome-calc3', 'gdu-emblem-raid10', 'application-vnd.ms-powerpoint', 'gnome-calc2', 'application-msaccess', 'lokalize', 'gnome-panel-window-list', 'kwalletmanager', 'libpeas-plugin', 'gdu-hba', 'nm-vpn-standalone-lock', 'gnome-html', 'gnome-spider', 'java', 'kjobviewer', 'gnome-mime-application-vnd.oasis.opendocument.database', 'gnome-panel-clock', 'nm-secure-lock', 'slideshow-symbolic', 'application-x-wine-extension-pptmhtml', 'application-x-wine-extension-glox', 'krusader_root', 'gnome-term-tiger', 'qt4-logo', 'monitor', 'search2msgstr', 'fedora-documentation', 'vnterm', 'application-x-wine-extension-mdbhtml', 'gnome-xterm', 'libreoffice-oasis-text-template', 'deja-dup-backup', 'gnome-panel-drawer', 'gdm-fingerprint', 'application-x-wine-extension-hol', 'gnome-power-manager', 'gdu-info', 'gnome-day', 'text-x-ms-iqy', 'nm-stage03-connecting11', 'nm-stage03-connecting10', 'libreoffice-impress', 'javaws', 'application-x-wine-extension-mdw', 'deja-dup', 'libreoffice-formula', 'application-x-wine-extension-mdt', 'gnome-mime-application-vnd.sun.xml.base', 'gok', 'view_filelight', 'winefile', 'application-x-wine-extension-mdn', 'music-library', 'insert_arg', 'libreoffice-spreadsheet-template', 'deja-dup-cloud', 'view-sidebar-symbolic', 'nm-device-wireless', 'infrared-remote', 'nm-stage03-connecting04', 'nm-stage03-connecting09', 'nm-stage03-connecting08', 'nm-stage03-connecting07', 'nm-stage03-connecting06', 'nm-stage03-connecting05', '94D7_misc.0', 'nm-stage03-connecting03', 'nm-stage03-connecting02', 'nm-stage03-connecting01', 'gnome-panel-notification-area', 'kmenuedit', 'application-x-wine-extension-lex', 'gnome-mime-application-vnd.sun.xml.calc', 'gnome-eterm', 'plasmaapplet-shelf', 'system-config-boot', 'gnome-mime-application-vnd.oasis.opendocument.spreadsheet', '4599_unlock.0', 'gnome-mime-application-vnd.sun.xml.draw', 'application-vnd.ms-excel', 'gdu-category-multidisk', 'nm-mb-roam', 'gnome-log', 'D29B_kyodai.0', 'kwalletmanager2', 'gdu-eject', 'application-vnd.adobe.air-application-installer-package+zip', 'gnome-mime-application-vnd.sun.xml.writer.template', 'file-roller', 'gnome-power-statistics', 'libreoffice-presentation', 'designer', 'krusader_red', 'application-x-wine-extension-xlshtml', 'gnome-term-night', 'gnome-mime-application-vnd.sun.xml.writer.global', 'gnome-ccdialog', 'application-x-wine-extension-mat', 'gnome-ccbackground', 'gnome-mime-application-vnd.sun.xml.calc.template', 'gnome-user-interface', 'gnome-mime-application-vnd.sun.xml.writer', 'gnome-mime-application-x-cisco-vpn-settings', 'wine', 'gpk-service-pack', 'nm-no-connection', 'kfloppy', 'application-x-wine-extension-ldb', 'application-x-wine-extension-mav', 'application-x-wine-extension-mau', 'application-x-wine-extension-docmhtml', 'application-x-wine-extension-maw', 'libreoffice-oasis-drawing-template', 'ibus', 'application-octet-stream', 'application-x-wine-extension-mas', 'nm-signal-75', '1E64_notepad.0', 'nm-tech-umts', 'kdf', 'application-x-wine-extension-stf', 'application-x-wine-extension-mar', 'libreoffice-oasis-presentation-template', 'application-x-wine-extension-maq', 'application-x-wine-extension-mam', 'gnome-tigert', 'im-chooser', 'rhythmbox', 'application-x-wine-extension-xtp2', 'xterm-color_32x32', 'gnome-squeak', 'application-x-wine-extension-mag', 'application-x-wine-extension-mad', 'application-x-wine-extension-maf', 'gnome-mime-application-vnd.oasis.opendocument.presentation', '8DCC_MSOXMLED.0', 'bluetooth-paired', 'preferences-system-firewall', 'diff', '2EF4_wordpad.0', 'kterm', 'lancelot', '4993_whatsold.0', 'gdu-emblem-lvm-vg', 'empathy', 'gnome-month', 'eog', 'gnome-panel-separator', 'gnome-aisleriot', 'gnome-irc', 'system-config-selinux', 'nm-device-wwan', 'ibus-setup', 'nm-tech-cdma-1x', 'bluetooth', 'kasumi', 'krusader_blue', 'gnome-word', 'libreoffice-printeradmin', 'application-x-wine-extension-lay', 'gnome-color-xterm')
self: <IconWidget object at 0x1e818c0 (icon+IconWidget at 0x1f0f4f0)>
pixbuf: None
theme: <gtk.IconTheme object at 0x1e81910 (GtkIconTheme at 0x1f88d90)>
icon_theme_name: 'Fedora'
missing_image: 'gtk-missing-image'
size: 16
Comment 13 dominique 2011-03-10 00:13:53 EST
Created attachment 483360 [details]
icon.py debug

abrt report with icon.py debug
Comment 14 fujiwara 2011-03-10 06:39:36 EST
> theme_name: 'Adwaita'
> list_icons: ('system-config-language', 'nm-signal-50', ...)
> icon_theme_name: 'Fedora'

My system has the icon_theme_name 'gnome'.

% grep IconTheme /usr/share/themes/Adwaita/index.theme
IconTheme=gnome

I'm not sure how do you changed icon_theme_name.

Could you check the following result if your Fedora has the fallen back gnome theme?

% rpm -qf /usr/share/icons/Fedora/index.theme
fedora-icon-theme-1.0.0-8.fc15.noarch
% rpm -qf /usr/share/icons/Mist/index.theme 
gnome-themes-2.32.0-5.fc15.noarch
% grep Inherit /usr/share/icons/Fedora/index.theme 
Inherits=Mist
% grep Inherit /usr/share/icons/Mist/index.theme 
Inherits=gnome
Comment 15 dominique 2011-03-10 11:53:20 EST
Result of command:
[dominique@localhost ~]$ grep IconTheme /usr/share/themes/Adwaita/index.theme
IconTheme=gnome

[dominique@localhost ~]$ rpm -qf /usr/share/icons/Fedora/index.theme
erreur: fichier /usr/share/icons/Fedora/index.theme: Aucun fichier ou dossier de ce type

[dominique@localhost ~]$ rpm -qf /usr/share/icons/Mist/index.theme
erreur: fichier /usr/share/icons/Mist/index.theme: Aucun fichier ou dossier de ce type

[dominique@localhost ~]$ grep Inherit /usr/share/icons/Fedora/index.theme
grep: /usr/share/icons/Fedora/index.theme: Aucun fichier ou dossier de ce type

[dominique@localhost ~]$ grep Inherit /usr/share/icons/Mist/index.theme
grep: /usr/share/icons/Mist/index.theme: Aucun fichier ou dossier de ce type

Apparently I have no package fedora-icon-theme-1.0.0-8.fc15.noarch and gnome-themes-2.32.0-5.fc15.noarch installed.

I install the two and I have same result as you:

[dominique@localhost ~]$ rpm -qf /usr/share/icons/Fedora/index.theme
fedora-icon-theme-1.0.0-8.fc15.noarch

[dominique@localhost ~]$ rpm -qf /usr/share/icons/Mist/index.theme
gnome-themes-2.32.0-5.fc15.noarch

[dominique@localhost ~]$ grep Inherit /usr/share/icons/Fedora/index.theme
Inherits=Mist

[dominique@localhost ~]$ grep Inherit /usr/share/icons/Mist/index.theme
Inherits=gnome

After that I relaunch ibus and when I click on the icon I have no abrt report.

I think now this bug is closed...

Thank for your help
Dominique
Comment 16 dominique 2011-03-10 12:02:24 EST
Hi I forgot...
For test I rename icon.py in /usr/share/ibus/ui/gtk (icon.py.old) and I rename icon.py.orig by icon.py, I relaunch ibus, and no abrt report when I click on icon.

It's good
Comment 17 fujiwara 2011-03-10 20:56:45 EST
OK, thanks for the test.

Yesterday I encountered a problem in GDM so I could not log into KDE.
Today I tried KDE too.
It seems GNOME sets Adwaita theme and KDE sets QtCurve theme in my env.
QtCurve theme has oxygen icon theme which doen't inherit gnome but QtCurve theme has the gnome icon theme in fallback theme.

% grep gtk-fallback-icon-theme /usr/share/themes/QtCurve/gtk-2.0/gtkrc 
gtk-fallback-icon-theme="gnome"
% rpm -qf /usr/share/themes/QtCurve/gtk-2.0/gtkrc
qtcurve-gtk2-1.8.5-3.fc15.x86_64

So I think the default GNOME and KDE works fine with ibus.
I'm not sure why your Adwaita theme has Fedora icon theme but probably I think it's better to fix icon-theme packages than ibus.
Probably I think it's better that fedora-logos rpm depends on fedora-icon-theme .
Comment 18 dominique 2011-03-11 01:17:38 EST
(In reply to comment #17)
> OK, thanks for the test.
> 
> Yesterday I encountered a problem in GDM so I could not log into KDE.
> Today I tried KDE too.
> .

There is an open bug for that: https://bugzilla.redhat.com/show_bug.cgi?id=675652
Comment 19 fujiwara 2011-03-11 02:39:57 EST
(In reply to comment #18)
> There is an open bug for that:
> https://bugzilla.redhat.com/show_bug.cgi?id=675652

Ah, my problem was bug 683649 :).

Note You need to log in before you can comment on or make changes to this bug.